Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85645 - rpm chokes on %install in changlog
Summary: rpm chokes on %install in changlog
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: rpm
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-05 15:14 UTC by Jack Neely
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-05 15:19:56 UTC


Attachments (Terms of Use)

Description Jack Neely 2003-03-05 15:14:34 UTC
Description of problem:
RPM chokes if I have a changelog entry in a spec file that contains a "%install"

Version-Release number of selected component (if applicable):
rpm-4.2-0.66

Example:
* Sat Feb 17 2001 Name <email@address.com>
- update to new revision in CVS
- use Makefile instead of crafting our own %install
- add %post to run migrate-rcconf

Comment 1 Jeff Johnson 2003-03-05 15:19:56 UTC
Yup, macros are expanded everywhere, and redhat-rpm-config
has overloaded the %install section marker with a macro.

Escape as '%%install' to prevent expansion.


Note You need to log in before you can comment on or make changes to this bug.